@media (max-width: 1210px) {
  .category__container {
    flex-direction: column;
  }
}

.filter-calculate-link {
  margin-bottom: 17px;
}

.filter-calculate-link:hover path {
  fill: #ffffff;
}

.category-content {
  padding-top: 0;
}

.fillter__btn {
  display: none;
  padding: 9px;
  color: #5f5f5f;
  font-size: 16px;
  font-weight: 500;
  background: none;
  border: none;
}

.fillter__btn svg {
  width: 16px;
  height: 16px;
}

@media (max-width: 1210px) {
  .fillter__btn {
    /* position: absolute; */
    top: 0;
    display: flex;
    align-items: center;
    gap: 5px;
  }
}

@media (max-width: 991px) {
  .fillter__btn {
    margin-bottom: 10px;
  }
}

/* .fillter__btn svg path {
  fill: #333333;
  transition: fill 0.3s ease;
} */
/* 
.fillter__btn:hover svg path,
.fillter__btn:focus svg path {
  fill: white;
} */

.sidebar {
  /* position: absolute; */
  left: 0;
  top: 0;
  max-width: 257px;
  width: 100%;
  background: #fff;
  z-index: 100;
  border-right: none;
}

@media (min-width: 1211px) {
  .sidebar {
    position: static;
    opacity: 1;
    visibility: visible !important;
    transform: unset;
  }
}
@media (max-width: 1210px) {
  .sidebar {
    max-width: 320px;
    z-index: 2000;
    transition: transform 0.3s ease;
    /* transform: translateX(-100%); */
    position: fixed;
    top: 0;
    min-height: 100%;
    right: 0;
    left: 0;
    bottom: 0;
    padding: 15px 15px 80px 15px;
    background-color: white;
    flex-direction: column;
    justify-content: flex-start;
    overflow-y: auto;
  }
}

.sidebar.collapse:not(.show) {
  display: block;
}

.sidebar .sub-menu {
  visibility: visible;
  height: 100%;
  margin-bottom: 0;
  opacity: 1;
  padding-left: 15px;
}

.sidebar .sub-menu.show {


  visibility: hidden;
  height: 0;
  margin: 0;
  opacity: 0;
  padding: 0;

}

.menu-2-title {
  padding: 10px 0;
}
.menu-2-title:not(:last-child) {
  border-bottom: 1px solid #ededed;
}

.sidebar .menu-item {
  line-height: 26px;
  padding: 10px 0;
  list-style: none;
}
.sidebar .sidebar-menu-container {
  background-color: #fff;
}

@media (max-width: 1199px) {

  .sidebar-menu-container {
    display: none;
  }
  .part__wrapper.categories{
    display: none;
  }
}

.sidebar .sidebar-menu {
  display: flex;
  flex-direction: column;
  padding: 0;
  margin: 0;
}
.sidebar .current-menu-ancestor > a,
.sidebar .current-menu-item > a {
  font-weight: 700;
  color: #333333;
}

.sidebar .menu-item > .header-menu__item-arrow {
  display: none;
}

.sidebar .menu-item.menu-item-has-children > .header-menu__item-arrow {
  display: inline;
}

.filter {
  width: inherit;
}

.filter-pages {
  display: flex;
  flex-direction: column;
  width: inherit;

}

.widget-title {
  font-weight: bold;
  font-size: 14px;
  line-height: 20px;
  margin-bottom: 10px;
}

.widget.price input,
.submitstyle input {
  max-width: 119px;
  padding: 10px 20px;
  width: 100%;
  font-size: 14px;
}

.widget-row {
  display: flex;
  gap: 20px;
}

.widget .menu {
  display: flex;
  flex-direction: column;
  padding: 0;
  margin: 0;
}

@media (min-width: 1211px) {
  .fillter__close {
    display: none;
  }
}

.fillter__top_left {
  gap: 5px;
  display: flex;
  align-items: center;
  font-size: 21px;
  font-weight: 500;
}

.fillter__top_left svg {
  height: 20px;
  width: 20px;
}

.widget li {
  display: flex;
  align-items: center;
  list-style: none;
}

.widget .label {
  font-size: 14px;
  line-height: 26px;
  color: #333333;
  text-decoration: unset;
  margin-left: 10px;
}

.fillter__top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

@media (min-width: 1211px) {
  .fillter__top {
    display: none;
  }
}

@media (max-width: 1210px) {
  .widget {
    padding-bottom: 20px;
    border-bottom: 1px solid #ededed;
  }
  .sidebar.collapse.show {
    transform: unset;
  }

  /* .category-content {
    padding-top: 80px;
  } */
}
.part__wrapper{
  display: flex;
  flex-direction: column;
  width: 100%;
  background-color: #F2F2F2;
  border-radius: 10px;
  margin-bottom: 30px;
  p{
    margin: 0;
    font-size: 14px;
  }

  .part__header{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 12px 16px;
    border-radius: 10px;
    background-color: #FFCC00;
    p{
      font-size: 16px;
      font-weight: 600;
    }
  }

  .filter-pages{
    overflow: hidden;
    font-family: Roboto, sans-serif;
    .widget, .price, .filter__buttons{
      box-sizing: border-box;
      padding: 16px;

    }
    form{
      border-bottom: 1px solid white;
    }
    form:last-of-type{
      border-bottom: none;
    }
    .price{
      .widget__price__input{
        width: calc((100% - 11px)/2);
        position: relative;
        input{
          width: 100%;
          border: 1px solid #C4C4C4;
          height: 47px;
          padding: 0 0 0 35px;
          box-sizing: border-box;
          background: transparent;
          font-size: 14px;
          font-family: Roboto,sans-serif;

        }
        input::placeholder{
          color: rgba(119, 119, 119, 0.5)

        }
        p{
          position: absolute;
          left: 15px;
          top: 50%;
          transform: translateY(-50%);
          color: #777777;
        }

      }

    }
    .widget{
      .menu{
        li{
          position: relative;
          label{
            margin-left: 0;
          }
          input[type="checkbox"]:checked,
          input[type="checkbox"]:not(:checked) {
            opacity: 0;
            cursor: pointer;
            width: 15px;
            height: 15px;
            margin-right: 10px;
            z-index: 5000;
          }

          input[type="checkbox"]:checked + label::before,
          input[type="checkbox"]:not(:checked) + label::before {
            cursor: pointer;
            content: '';
            border: 1px solid #C4C4C4;
            background: transparent;
            width: 15px;
            height: 15px;
            position: absolute;
            left: 0;
            top: 5px;
            z-index: 993;
          }

          input[type="checkbox"]:checked + label::before {
            cursor: pointer;
            background-color: #FFCC00;
            border: 1px solid #FFCC00;
            z-index: 993;
          }

          input[type="checkbox"]:checked + label::after {
            cursor: pointer;
            content: '';
            background-image: url("data:image/svg+xml,%3Csvg width='10' height='8' viewBox='0 0 10 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 4.26942L3.50667 7L9 1' stroke='white' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            background-size: cover;
            width: 10px;
            height: 7px;
            position: absolute;
            left: 3px;
            top: 8px;
            z-index: 1000;
          }
        }
      }
    }
    .filter__buttons{
      width: 100%;
      display: flex;
      justify-content: space-between;
      .btn{
        width: calc((100% - 8px)/2);
        padding: 5px;
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        box-sizing: border-box;
        border-radius: 10px;
        font-size: 16px;
        font-weight: 600;
      }
      .btn.filterReset{
        background-color: transparent;
        border: 1px solid #888888;
        color: #888888;
      }
    }
  }
}
.part__wrapper.categories{
  margin-bottom: 20px;
  .sidebar-menu-container{
    box-sizing: border-box;
    background-color: transparent;
    padding: 16px 20px 0 20px;
    overflow: hidden;
    .sidebar-menu{
      li{
        position: relative;
        .header-menu__item-arrow{
          position: absolute;
          right: -8px;
          padding: 0;
        }
      }
      .sub-menu.show{
        li{
          a{
            font-weight: 400;
          }
        }

      }

    }
    .menu-2-title{
      a{
        font-weight: 600;
      }
      .menu-item{
        a{
          font-weight: 400;
        }
      }
    }
  }
}


.product__params__contact-us {
  padding: 12px 16px 20px 16px;
  border-radius: 10px;
  background-color: #FFCC00;
  display: flex;
  flex-direction: column;
  gap: 16px;

  p {
    margin: 0;
    font-size: 18px;
    font-weight: 700;
  }

  a {
    text-decoration: none;
  }
  .product__params__contact-us-contacts {
    display: flex;
    flex-direction: column;
    gap: 10px;

    a:first-child {
      margin-left: 3px;
    }

    a {
      display: flex;
      align-items: center;
      gap: 10px;
    }
  }
  .product__params__contact-us-contacts {
    display: flex;
    flex-direction: column;
    gap: 10px;

    a:first-child {
      margin-left: 3px;
    }

    a {
      display: flex;
      align-items: center;
      gap: 10px;
    }
  }

  .product__params__contact-us-socials {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 6px;

    a {
      padding: 7px 10px;
      display: flex;
      border-radius: 4px;
      gap: 8px;
      align-items: center;

      p {
        font-size: 16px;
        font-weight: 500;
        color: white;
      }
    }

    a:nth-child(1) {
      background-color: #1C8ADB;
    }

    a:nth-child(2) {
      background-color: #6F3FAA;
    }

    a:nth-child(3) {
      background-color: #29A71A;
    }
  }

  .product__params__contact-us-callBtn {
    width: 100%;
    border-radius: 7px;
    background-color: white;
    border: none;
    padding: 11px 0;
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
  }
}
.part__wrapper{

}

.listClosed{

  .part__wrapper.categories{

    .sidebar-menu-container{

      height: 0;
      padding: 0;
    }
  }
  .filter-pages,.sidebar-menu-container{

    opacity: 0;
    height: 0;
    padding: 0!important;
  }
  #closeFilter, #closePark {
    transform: rotate(-180deg);
  }
}

